<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/condition_interpreter_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>02/06/84  condition_interpreter_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>Entry points in condition_interpreter_:
<span id="L5" class="LineNr"> 5 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>:Entry: condition_interpreter_:  02/06/84 condition_interpreter_
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>
<span id="L11" class="LineNr">11 </span>Function: is used by subsystem condition handlers to obtain a
<span id="L12" class="LineNr">12 </span>formatted error message for all conditions except quit, alrm, and
<span id="L13" class="LineNr">13 </span>cput.  Some conditions do not have messages and others cause special
<span id="L14" class="LineNr">14 </span>actions to be taken.  These are described in &quot;Notes&quot; below.  <span class="textRainbow_lv0_p0">(</span>For more
<span id="L15" class="LineNr">15 </span>information on conditions<span class="textRainbow_lv0_o0">,</span> see the Programmer's Reference Manual.<span class="textRainbow_lv0_p0">)</span>
<span id="L16" class="LineNr">16 </span>
<span id="L17" class="LineNr">17 </span>
<span id="L18" class="LineNr">18 </span>Syntax:
<span id="L19" class="LineNr">19 </span>declare condition_interpreter_ entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_o0">,</span>
<span id="L20" class="LineNr">20 </span>     ptr<span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_p0">)</span>;
<span id="L21" class="LineNr">21 </span>call condition_interpreter_ <span class="textRainbow_lv0_p0">(</span>area_ptr<span class="textRainbow_lv0_o0">,</span> m_ptr<span class="textRainbow_lv0_o0">,</span> mlng<span class="textRainbow_lv0_o0">,</span> mode<span class="textRainbow_lv0_o0">,</span> mc_ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L22" class="LineNr">22 </span>     cond_name<span class="textRainbow_lv0_o0">,</span> wc_ptr<span class="textRainbow_lv0_o0">,</span> info_ptr<span class="textRainbow_lv0_p0">)</span>;
<span id="L23" class="LineNr">23 </span>
<span id="L24" class="LineNr">24 </span>
<span id="L25" class="LineNr">25 </span>Arguments:
<span id="L26" class="LineNr">26 </span>area_ptr
<span id="L27" class="LineNr">27 </span>   is a pointer to the area in which the message is to be allocated, if
<span id="L28" class="LineNr">28 </span>   the message is to be returned.  The area size should be at least 300
<span id="L29" class="LineNr">29 </span>   words.  If null, the message is printed on the error_output I/O
<span id="L30" class="LineNr">30 </span>   switch.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L31" class="LineNr">31 </span>m_ptr
<span id="L32" class="LineNr">32 </span>   points to the allocated message if area_ptr is not null; otherwise
<span id="L33" class="LineNr">33 </span>   it is not set.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L34" class="LineNr">34 </span>mlng
<span id="L35" class="LineNr">35 </span>   is the length <span class="textRainbow_lv0_p0">(</span>in characters<span class="textRainbow_lv0_p0">)</span> of the allocated message if area_ptr
<span id="L36" class="LineNr">36 </span>   is not null.  If area_ptr is null, the length is not set.  Certain
<span id="L37" class="LineNr">37 </span>   conditions <span class="textRainbow_lv0_p0">(</span>see &quot;Notes&quot; below<span class="textRainbow_lv0_p0">)</span> have no messages; in these cases,
<span id="L38" class="LineNr">38 </span>   mlng is equal to 0.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L39" class="LineNr">39 </span>
<span id="L40" class="LineNr">40 </span>
<span id="L41" class="LineNr">41 </span>mode
<span id="L42" class="LineNr">42 </span>   is the desired mode of the message to be printed or returned.
<span id="L43" class="LineNr">43 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> It can have the following values:
<span id="L44" class="LineNr">44 </span>   1   normal mode
<span id="L45" class="LineNr">45 </span>   2   brief mode
<span id="L46" class="LineNr">46 </span>   3   long mode
<span id="L47" class="LineNr">47 </span>mc_ptr
<span id="L48" class="LineNr">48 </span>   if not null, points to machine conditions describing the state of
<span id="L49" class="LineNr">49 </span>   the processor at the time the condition was raised.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L50" class="LineNr">50 </span>cond_name
<span id="L51" class="LineNr">51 </span>   is the name of the condition being raised.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L52" class="LineNr">52 </span>
<span id="L53" class="LineNr">53 </span>
<span id="L54" class="LineNr">54 </span>wc_ptr
<span id="L55" class="LineNr">55 </span>   is usually null; but when mc_ptr points to machine conditions from
<span id="L56" class="LineNr">56 </span>   ring 0, wc_ptr points to alternate machine conditions.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L57" class="LineNr">57 </span>info_ptr
<span id="L58" class="LineNr">58 </span>   if not null, points to the information structure described in the
<span id="L59" class="LineNr">59 </span>   Programmer's Reference Manual.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L60" class="LineNr">60 </span>
<span id="L61" class="LineNr">61 </span>
<span id="L62" class="LineNr">62 </span>Notes:  The following conditions cause a return with no message:
<span id="L63" class="LineNr">63 </span>
<span id="L64" class="LineNr">64 </span>     command_error
<span id="L65" class="LineNr">65 </span>     command_question
<span id="L66" class="LineNr">66 </span>     finish
<span id="L67" class="LineNr">67 </span>     stringsize
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
